import { TdChartOptionsService, TdCoordinateSystem, TdMarkPointSymbol, ITdLabel, ITdItemStyle, ITdLineStyle, ITdAreaStyle, TdSeriesLayoutBy, ITdMarkPoint, ITdMarkLine, ITdMarkArea, ITdEmphasis, ITdSeries, ITdShadow, TdSeriesDirective } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export type TdSampling = 'average' | 'max' | 'min' | 'sum';
export interface ITdLineSeries extends ITdSeries, ITdShadow {
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    polarIndex?: number;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number | any[] | Function;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    showSymbol?: boolean;
    showAllSymbol?: boolean | 'auto';
    hoverAnimation?: boolean;
    legendHoverLink?: boolean;
    stack?: string;
    cursor?: string;
    connectNulls?: boolean;
    clipOverflow?: boolean;
    step?: string | boolean;
    label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    lineStyle?: ITdLineStyle;
    width?: number;
    opacity?: number;
    areaStyle?: ITdAreaStyle;
    emphasis?: ITdEmphasis;
    smooth?: boolean | number;
    smoothMonotone?: string;
    sampling?: TdSampling;
    dimensions?: any[];
    encode?: any;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    data?: any[];
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    zlevel?: number;
    z?: number;
    silent?: boolean;
}
export declare class TdChartSeriesLineComponent extends TdSeriesDirective implements ITdLineSeries {
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    polarIndex?: number;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number | any[] | Function;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    showSymbol?: boolean;
    showAllSymbol?: boolean;
    hoverAnimation?: boolean;
    legendHoverLink?: boolean;
    stack?: string;
    cursor?: string;
    connectNulls?: boolean;
    clipOverflow?: boolean;
    step?: string | boolean;
    label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    lineStyle?: ITdLineStyle;
    areaStyle?: ITdAreaStyle;
    emphasis?: ITdEmphasis;
    smooth?: boolean | number;
    smoothMonotone?: string;
    sampling?: TdSampling;
    dimensions?: any[];
    encode: any;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    zlevel?: number;
    z?: number;
    silent?: boolean;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesLineComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesLineComponent, "td-chart-series[td-line]", never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "color": { "alias": "color"; "required": false; }; "data": { "alias": "data"; "required": false; }; "animation": { "alias": "animation"; "required": false; }; "animationThreshold": { "alias": "animationThreshold"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "animationEasing": { "alias": "animationEasing"; "required": false; }; "animationDelay": { "alias": "animationDelay"; "required": false; }; "animationDurationUpdate": { "alias": "animationDurationUpdate"; "required": false; }; "animationEasingUpdate": { "alias": "animationEasingUpdate"; "required": false; }; "animationDelayUpdate": { "alias": "animationDelayUpdate"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "coordinateSystem": { "alias": "coordinateSystem"; "required": false; }; "xAxisIndex": { "alias": "xAxisIndex"; "required": false; }; "yAxisIndex": { "alias": "yAxisIndex"; "required": false; }; "polarIndex": { "alias": "polarIndex"; "required": false; }; "symbol": { "alias": "symbol"; "required": false; }; "symbolSize": { "alias": "symbolSize"; "required": false; }; "symbolRotate": { "alias": "symbolRotate"; "required": false; }; "symbolKeepAspect": { "alias": "symbolKeepAspect"; "required": false; }; "symbolOffset": { "alias": "symbolOffset"; "required": false; }; "showSymbol": { "alias": "showSymbol"; "required": false; }; "showAllSymbol": { "alias": "showAllSymbol"; "required": false; }; "hoverAnimation": { "alias": "hoverAnimation"; "required": false; }; "legendHoverLink": { "alias": "legendHoverLink"; "required": false; }; "stack": { "alias": "stack"; "required": false; }; "cursor": { "alias": "cursor"; "required": false; }; "connectNulls": { "alias": "connectNulls"; "required": false; }; "clipOverflow": { "alias": "clipOverflow"; "required": false; }; "step": { "alias": "step"; "required": false; }; "label": { "alias": "label"; "required": false; }; "itemStyle": { "alias": "itemStyle"; "required": false; }; "lineStyle": { "alias": "lineStyle"; "required": false; }; "areaStyle": { "alias": "areaStyle"; "required": false; }; "emphasis": { "alias": "emphasis"; "required": false; }; "smooth": { "alias": "smooth"; "required": false; }; "smoothMonotone": { "alias": "smoothMonotone"; "required": false; }; "sampling": { "alias": "sampling"; "required": false; }; "dimensions": { "alias": "dimensions"; "required": false; }; "encode": { "alias": "encode"; "required": false; }; "seriesLayoutBy": { "alias": "seriesLayoutBy"; "required": false; }; "datasetIndex": { "alias": "datasetIndex"; "required": false; }; "markPoint": { "alias": "markPoint"; "required": false; }; "markLine": { "alias": "markLine"; "required": false; }; "markArea": { "alias": "markArea"; "required": false; }; "zlevel": { "alias": "zlevel"; "required": false; }; "z": { "alias": "z"; "required": false; }; "silent": { "alias": "silent"; "required": false; }; }, {}, never, never, false, never>;
}
